<?php

error_reporting(E_ERROR  | E_PARSE);

session_start();
/*
$_SESSION['database'] = $_GET["database"];

$_SESSION['suc_id'] = $_GET["suc_id"];

$_SESSION['est_id'] = $_GET["est_id"];

$_SESSION['id_pack'] =$_GET["id_pack"];
 */

$_SESSION['database'] = $_POST["database"];

$_SESSION['suc_id'] = $_POST["suc_id"];

$_SESSION['est_id'] = $_POST["est_id"];

$_SESSION['id_pack'] = $_POST["id_pack"];

include 'conn.php';

include 'funciones.php';

//logs("xxxxxxxxxxxxxxxxxx");

date_default_timezone_set("America/Panama");

$hoynow = getdate();

//echo print_r($hoynow);

//echo date_default_timezone_get();

$hora = str_pad($hoynow["hours"], 2, "0", STR_PAD_LEFT);

$minutos = str_pad($hoynow["minutes"], 2, "0", STR_PAD_LEFT);

$mes = str_pad($hoynow["mon"], 2, "0", STR_PAD_LEFT);

$dia = str_pad($hoynow["mday"], 2, "0", STR_PAD_LEFT);

$timeStamp = $hoynow["year"] . "-" . $mes . "-" . $dia . " " . $hora . ":" . $minutos . ":" . $hoynow["seconds"];
if ($_SESSION['est_id'] == "0") {
    $SQLupdate = "update " . $_SESSION['database'] . ".sucursales set suc_ult_con='" . $timeStamp . "',suc_pack_etpago=" . $_SESSION['id_pack'] . "  where  suc_id='" . $_SESSION['suc_id'] . "' limit 1 ";
} else {
    $SQLupdate = "update " . $_SESSION['database'] . ".estaciones set e_ult_con='" . $timeStamp . "',e_pack_tpago=" . $_SESSION['id_pack'] . "  where suc_id='" . $_SESSION['suc_id'] . "'  and e_id='" . $_SESSION['est_id'] . "' limit 1 ";
}

if ($connection->query($SQLupdate) === true) {
    //  echo "update op";
} else {
    echo "Error: " . $SQLupdate . "<br>" . $conn->error;
}

$montoesql1 = "select

        tp.tipo_p_id ,
		tp.tipo_p_nombre ,
		tp.activo ,
		tp.ticket_pos ,
		tp.pide_pass ,
  	    tp.tipo_ticket_cant ,
		tp.tipo_pago_est ,
		tp.usa_terminal ,
		tp.tipo_p_idasoc ,
		tp.tipo_p_idasoc_ahk ,
     	tp.tipo_credito_defa ,
		tp.tipo_es_credito ,
		tp.tipo_es_foodstamp ,
		tp.tipo_es_puntos ,
		tp.tipo_es_club ,
		tp.tipo_es_pago_elec ,
		tp.tipo_es_canje ,
		tp.tipo_p_permite_cambio ,
		tp.tipo_es_valed ,
		ifnull(tp.tipo_es_beca,0) as tipo_es_beca ,
		ifnull(tp.tipo_p_reimprime,0) as tipo_p_reimprime ,
		ifnull(tp.tipo_es_prepago,0) as tipo_es_prepago ,
		ifnull(tp.tipo_es_afiliada,0) as tipo_es_afiliada ,

	    ifnull(tpd.id_forma,0) as id_forma ,
	    tpd.tipo_p_nombre as tipo_p_nombre_det ,
	    ifnull(tpd.porc ,0) as porc,
		ifnull(tpd.pide_pass,0) as pide_pass_det,
		id_pack,
		ifnull(tpd.tipo_p_inactivo,0) as tipo_p_inactivo,
        ifnull(tp.ignora_arqueo,0) as ignora_arqueo,
        ifnull(tp.tipo_p_pide_ref,0) as tipo_p_pide_ref,
        ifnull(tpd.pide_ref,0) as pide_ref,
        ifnull(tp.tipo_p_pagos_cxc,0) as tipo_p_pagos_cxc,
        tipo_p_idasoc_fe,
        ifnull(tpd.banis_usa_term,0) as banis_usa_term,
        tpd.banis_cod_acq,
        tpd.tipo_pd_es_yappy,tipo_pd_es_pluxee
        

        



				  from " . $_SESSION['database'] . "_tmp_pack.tipos_pago_tmp_pack

                  left outer join  " . $_SESSION['database'] . ".tipo_pago tp on " . $_SESSION['database'] . "_tmp_pack.tipos_pago_tmp_pack.tipo_p_id=tp.tipo_p_id

                  left outer join  " . $_SESSION['database'] . ".tipo_pago_det tpd on 	tp.tipo_p_id= tpd.tipo_p_id



				   where  id_pack='" . $_SESSION['id_pack'] . "'  ";

$qur1 = $connection->query($montoesql1);

$i = 0;

// echo "prom:". $montoesql1;

//  $jsonData[] ='';

while ($r1 = mysqli_fetch_assoc($qur1)) {

    $jsonTempData = array();
    $jsonTempData['campo1'] = utf8_encode($r1['tipo_p_id']);
    $jsonTempData['campo2'] = ($r1['tipo_p_nombre']);
    $jsonTempData['campo3'] = utf8_encode($r1['activo']);
    $jsonTempData['campo4'] = utf8_encode($r1['ticket_pos']);
    $jsonTempData['campo5'] = utf8_encode($r1['pide_pass']);
    $jsonTempData['campo6'] = utf8_encode($r1['tipo_ticket_cant']);
    $jsonTempData['campo7'] = utf8_encode($r1['tipo_pago_est']);
    $jsonTempData['campo8'] = utf8_encode($r1['usa_terminal']);
    $jsonTempData['campo9'] = utf8_encode($r1['tipo_p_idasoc']);
    $jsonTempData['campo10'] = utf8_encode($r1['tipo_p_idasoc_ahk']);
    $jsonTempData['campo11'] = utf8_encode($r1['tipo_credito_defa']);
    $jsonTempData['campo12'] = utf8_encode($r1['tipo_es_credito']);
    $jsonTempData['campo13'] = utf8_encode($r1['tipo_es_foodstamp']);
    $jsonTempData['campo14'] = utf8_encode($r1['tipo_es_puntos']);
    $jsonTempData['campo15'] = utf8_encode($r1['tipo_es_club']);
    $jsonTempData['campo16'] = utf8_encode($r1['tipo_es_pago_elec']);
    $jsonTempData['campo17'] = utf8_encode($r1['tipo_es_canje']);
    $jsonTempData['campo18'] = utf8_encode($r1['tipo_p_permite_cambio']);
    $jsonTempData['campo19'] = utf8_encode($r1['id_forma']);
    $jsonTempData['campo20'] = ($r1['tipo_p_nombre_det']);
    $jsonTempData['campo21'] = utf8_encode($r1['porc']);
    $jsonTempData['campo22'] = utf8_encode($r1['pide_pass_det']);
    $jsonTempData['campo23'] = utf8_encode($r1['tipo_es_valed']);

    $jsonTempData['campo24'] = utf8_encode($r1['id_pack']);

    $jsonTempData['campo25'] = utf8_encode($r1['tipo_p_inactivo']);

    $jsonTempData['campo26'] = utf8_encode($r1['tipo_es_beca']);
    $jsonTempData['campo27'] = utf8_encode($r1['tipo_p_reimprime']);
    $jsonTempData['campo28'] = utf8_encode($r1['tipo_es_prepago']);
    $jsonTempData['campo29'] = utf8_encode($r1['tipo_es_afiliada']);

    $jsonTempData['campo30'] = utf8_encode($r1['ignora_arqueo']);

    $jsonTempData['campo31'] = utf8_encode($r1['tipo_p_pide_ref']);

    $jsonTempData['campo32'] = utf8_encode($r1['pide_ref']);


    $jsonTempData['campo33'] = utf8_encode($r1['tipo_p_pagos_cxc']);
    $jsonTempData['campo34'] = utf8_encode($r1['tipo_p_idasoc_fe']);
    $jsonTempData['campo35'] = utf8_encode($r1['banis_usa_term']);

    $jsonTempData['campo36'] = utf8_encode($r1['banis_cod_acq']);
    $jsonTempData['campo37'] = utf8_encode($r1['tipo_pd_es_yappy']);
    $jsonTempData['campo38'] = utf8_encode($r1['tipo_pd_es_pluxee']);



    $jsonData[] = $jsonTempData;

    $i = $i + 1;
}

$json->registros = $i;

$json->tipo_pagos = $jsonData;

$hoynow = getdate();

$timeStamp = $hoynow["year"] . "-" . $hoynow["mon"] . "-" . $hoynow["mday"] . " " . $hoynow["hours"] . ":" . $hoynow["minutes"] . ":" . $hoynow["seconds"];

$timeStamp2 = $hoynow["year"] . "-" . $hoynow["mon"] . "-01 00:00:01";
//echo $timeStamp;

$SQLflags = "select idflagprom,timestampdiff(minute ,idflagpromdate,now()) as dif from " . $_SESSION['database'] . ".flag  limit 1";

//    logs($SQLflags);
$qur = $connection->query($SQLflags);

$_SESSION['flags'] = "9";
$_SESSION['dif'] = "1";
while ($r = mysqli_fetch_assoc($qur)) {

    $_SESSION['flags'] = $r['idflagprom'];
    $_SESSION['dif'] = $r['dif'];

    logs("Esta es la diferencias " . $_SESSION['dif']);

}

if (1 == 1) {

    $montoesql3 = "select  " . $_SESSION['database'] . ".tipo_pago.tipo_p_id  from " . $_SESSION['database'] . ".tipo_pago where usermodify=1  limit 1";

//echo  $montoesql;
    logs($montoesql3);

    $qur = $connection->query($montoesql3);

    $_SESSION['tipo_p_id'] = "NO";

    while ($r = mysqli_fetch_assoc($qur)) {

        $_SESSION['tipo_p_id'] = $r['tipo_p_id'];

    }

    logs('listo prommmmm' . $_SESSION['tipo_p_id']);

    if ($_SESSION['tipo_p_id'] != "NO") {

        $SQLupdate = "UPDATE   " . $_SESSION['database'] . ".tipo_pago SET syncprocesing=1,usermodify=0 WHERE  usermodify=1  limit 1";

//echo $SQLupdate;

        logs("uuuuuuuuuuuuuuuuuuuuuuuuuuu" . $SQLupdate);

        if ($connection->query($SQLupdate) === true) {
            //  echo "update op";
        } else {
            echo "Error: " . $SQLupdate . "<br>" . $conn->error;
        }

        if ($_SESSION['est_id'] == "0") {

            $getData = "select suc_corre_etpago+1 as corre_e,suc_id FROM " . $_SESSION['database'] . ".sucursales  where   suc_id=1";
        } else {

            $getData = "select e_corre_etpago+1 as corre_e,e_id FROM " . $_SESSION['database'] . ".estaciones  where   e_id=1 limit 1";
        }

        logs("ccccccccccccccccccccccccccccccc" . $getData);

//$getData = "select * from user";
        $qur = $connection->query($getData);

        $_SESSION['corre'] = 0;

        while ($r = mysqli_fetch_assoc($qur)) {

            $_SESSION['corre'] = $r['corre_e'];
        }

        if ($_SESSION['corre'] > 0) {

            $SQLupdate2 = "  insert into  " . $_SESSION['database'] . "_tmp_pack.tipos_pago_tmp_pack  (id_pack,tipo_p_id) select   " . $_SESSION['corre'] . "  as id,
		 tipo_pago.tipo_p_id


				  from
				 " . $_SESSION['database'] . ".tipo_pago


				where tipo_pago.syncprocesing=1 limit 1 ";

            logs($SQLupdate2);

            if ($connection->query($SQLupdate2) === true) {

                $SQLupdate3 = "select id_pack from " . $_SESSION['database'] . "_tmp_pack.tipos_pago_tmp_pack where  id_pack=" . $_SESSION['corre'] . " limit 1";

                logs('xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx' . $SQLupdate3);
                $qur = $connection->query($SQLupdate3);

                $empaco = "NO";
                while ($r = mysqli_fetch_assoc($qur)) {

                    $empaco = $r['id_pack'];

                    logs("si consiguio un registro  " . $empaco);

                }

                if ($_SESSION['corre'] == $empaco) {

                    logs("   empaco" . $empaco . " corre  " . $_SESSION['corre']);

                    $SQLupdate4 = "UPDATE " . $_SESSION['database'] . ".tipo_pago SET syncprocesing=0,usermodify=0 WHERE   syncprocesing=1 ";

                    logs("   update prom xxxxxxxxxxxxxxxxxxxxxx " . $SQLupdate4);

                    if ($connection->query($SQLupdate4) === true) {

                        $sqlmax = "select max(id_pack) as id_pack from " . $_SESSION['database'] . "_tmp_pack.tipos_pago_tmp_pack limit 1";

                        $qur12 = $connection->query($sqlmax);

                        $_SESSION['empaco'] = 0;

                        while ($r = mysqli_fetch_assoc($qur12)) {

                            $_SESSION['empaco'] = $r['id_pack'];
                        }

                        if ($_SESSION['est_id'] == "0") {
                            $connection->query("update " . $_SESSION['database'] . ".sucursales set suc_corre_etpago=" . $_SESSION['empaco'] . "");

                            logs("xxxxxxxxxxxxxxxxxxxxxxxxxxxxx update " . $_SESSION['database'] . ".sucursales set suc_corre_etpago=" . $_SESSION['empaco'] . "");

                        } else {

                            $connection->query("update " . $_SESSION['database'] . ".estaciones set e_corre_etpago=" . $_SESSION['empaco'] . "");

                            logs("update " . $_SESSION['database'] . ".estaciones set e_corre_etpago=" . $_SESSION['empaco'] . "");

                        }

                    } else {
                        echo "Error: " . $SQLupdate4 . "<br>" . $conn->error;
                    }

                } else {
                    echo "Errorde empaque: " . $_SESSION['corre'] . " " . $empaco . "<br>";
                }

            }

        } else {

            //echo "error en busca de corre";

        }

    }

} else {

    logs("Esta ocupado por la estacionnnnnnnn " . $_SESSION['est_id'] . " Bandera " . $_SESSION['flags']);

}

header('Content-Type: application/json;charset=utf-8');
echo(json_encode($json,JSON_UNESCAPED_UNICODE));
// echo json_encode($json);
//header('content-type: application/text_plain');
//header('content-type: application/json');

//empacando($_SESSION['database']);

$qur=null;
@mysqli_close($connection);
?>